DevHeads.net

failing to install LibreOffice 6.3.0.4

As in subject, am attempting to install latest LibreOffice on C7.

unpack all the rpm files, type "yum install *.rpm", or "yum localinstall *.rpm"
and yum spews the list of filenames (with the word "examining" in front
of each file) then says "nothing to do".

what the hey?

I tried "yum clean all" but it didn't help.

I also verified the sha256sum of the download.

Anyone got any good advice?

thanks in advance!

Fred

Comments

Re: failing to install LibreOffice 6.3.0.4

By Frank Cox at 08/10/2019 - 22:25

On Sat, 10 Aug 2019 22:37:13 -0400

Do you have anu version of libreoffice already installed?

Re: failing to install LibreOffice 6.3.0.4

By Bill Maidment at 08/10/2019 - 22:51

On 11/08/2019 1:25 pm, Frank Cox wrote:
Hi Fred
I'm running SL6 and SL7 and I have just installed LibreOffice 6.3.0.4 OK
in both. It should be just the same in CentOS.
It's best to do yum remove libreoffice* first to get rid of any earlier
version, then go to the folder where you have all the new rpms and do
yum install *.rpm

Re: failing to install LibreOffice 6.3.0.4

By fred smith at 08/11/2019 - 19:48

On Sun, Aug 11, 2019 at 01:51:21PM +1000, Bill Maidment wrote:
in answer to you and the several other responses to my posting:

I removed the distro-provided LO, excluded it so yum won't try
to reinstall it, some time ago.

I've been installing the latest from LOo periodically since then.

Since my posting, I've remembered that the last time I installed LO
I had the same problem and my "solution" was to use rpm -ivh *.rpm
instead of yum. that workaround works fine.

To the poster who commented that "we" don't distribute later versions
of LO, see above where I tell where I got it.

I don't understand why yum refuses to install it, while rpm will.

Thanks for all your responses!

Fred

Re: failing to install LibreOffice 6.3.0.4

By Kay Diederichs at 08/14/2019 - 04:35

On 8/12/19 2:48 AM, Fred Smith wrote:
...
if you exclude it in /etc/yum.conf then yum will not install it when you
ask it to, depending on how you specify the exclude= pattern!

you are welcome!

Kay

Re: failing to install LibreOffice 6.3.0.4

By Bill Maidment at 08/14/2019 - 07:21

On 14/08/2019 7:35 pm, Kay Diederichs wrote:
Of course. Also there is no need to exclude because the LO6 rpms are
labelled with 6.n appended to the name
e.g. libreoffice6.3-freedesktop-menus-6.3.0-4.noarch

Re: failing to install LibreOffice 6.3.0.4

By Bill Maidment at 08/11/2019 - 21:38

Perhaps having moved over to the dark-side (rpm) you will be stuck using
that, until redeemed by CentOS 8 with dnf :-)

Re: failing to install LibreOffice 6.3.0.4

By Peter at 08/10/2019 - 22:10

On 11/08/19 2:37 PM, Fred Smith wrote:
CentOS 7 comes with Libreoffice 5.3.6.1. There is no support for
installing newer versions from other sources.

RPM files from where? We don't supply Libreoffice RPMs for any version
other than what is stated above.

Peter